com.threerings.parlor.card.trick.data

## Class TrickCardGameMarshaller

- java.lang.Object
- - com.threerings.presents.data.InvocationMarshaller
  - - com.threerings.parlor.card.trick.data.TrickCardGameMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, TrickCardGameService, com.threerings.presents.client.InvocationService

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from TrickCardGameService.java.")
    public class TrickCardGameMarshaller
    extends com.threerings.presents.data.InvocationMarshaller
    implements TrickCardGameService

Provides the implementation of the `TrickCardGameService` interface that marshalls the arguments and delivers the request to the provider on the server. Also provides an implementation of the response listener interfaces that marshall the response arguments and deliver them back to the requesting client.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.presents.data.InvocationMarshaller

`com.threerings.presents.data.InvocationMarshaller.ConfirmMarshaller, com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller, com.threerings.presents.data.InvocationMarshaller.ResultMarshaller`

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static int` `PLAY_CARD` The method id used to dispatch `playCard(com.threerings.parlor.card.data.Card, int)` requests.
`static int` `REQUEST_REMATCH` The method id used to dispatch `requestRematch()` requests.
`static int` `SEND_CARDS_TO_PLAYER` The method id used to dispatch `sendCardsToPlayer(int, com.threerings.parlor.card.data.Card[])` requests.

### Constructor Summary

Constructors
Constructor and Description
`TrickCardGameMarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `playCard(Card arg1, int arg2)` Plays a card in the trick.
`void` `requestRematch()` A request for a rematch.
`void` `sendCardsToPlayer(int arg1, Card[] arg2)` Sends a group of cards to the player at the specified index.

### Methods inherited from class com.threerings.presents.data.InvocationMarshaller

`getInvocationCode, init, readObject, setInvocationOid, setNoResponse, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLAY_CARD

    public static final int PLAY_CARD

The method id used to dispatch `playCard(com.threerings.parlor.card.data.Card, int)` requests.

See Also:
  Constant Field Values

#### REQUEST_REMATCH

    public static final int REQUEST_REMATCH

The method id used to dispatch `requestRematch()` requests.

See Also:
  Constant Field Values

#### SEND_CARDS_TO_PLAYER

    public static final int SEND_CARDS_TO_PLAYER

The method id used to dispatch `sendCardsToPlayer(int, com.threerings.parlor.card.data.Card[])` requests.

See Also:
  Constant Field Values

### Constructor Detail

#### TrickCardGameMarshaller

    public TrickCardGameMarshaller()

### Method Detail

#### playCard

    public void playCard(Card arg1,
                         int arg2)

Description copied from interface: `TrickCardGameService`
Plays a card in the trick.

Specified by:
  `playCard` in interface `TrickCardGameService`
Parameters:
  `arg1` - the card to play
  `arg2` - the size of the player's hand, which is used to verify that the request is for the current trick

#### requestRematch

    public void requestRematch()

Description copied from interface: `TrickCardGameService`
A request for a rematch.

Specified by:
  `requestRematch` in interface `TrickCardGameService`

#### sendCardsToPlayer

    public void sendCardsToPlayer(int arg1,
                                  Card[] arg2)

Description copied from interface: `TrickCardGameService`
Sends a group of cards to the player at the specified index.

Specified by:
  `sendCardsToPlayer` in interface `TrickCardGameService`
Parameters:
  `arg1` - the index of the player to send the cards to
  `arg2` - the cards to send